Package org.apache.ignite.internal.processors.cache.binary

## Class BinaryMetadataKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUtilityKey<BinaryMetadataKey>
  - - org.apache.ignite.internal.processors.cache.binary.BinaryMetadataKey

All Implemented Interfaces:
  `Externalizable`, `Serializable`, `GridCacheInternal`

    public class BinaryMetadataKey
    extends GridCacheUtilityKey<BinaryMetadataKey>
    implements Externalizable

Key for binary metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BinaryMetadataKey()` For `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `equalsx​(BinaryMetadataKey key)` Child-specific equals method.
`int` `hashCode()`
`void` `readExternal​(ObjectInput in)`
`String` `toString()`
`int` `typeId()`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheUtilityKey

`equals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryMetadataKey

    public BinaryMetadataKey()

For `Externalizable`.

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type id.

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equalsx

    protected boolean equalsx​(BinaryMetadataKey key)

Child-specific equals method.

Specified by:
  `equalsx` in class `GridCacheUtilityKey<BinaryMetadataKey>`
Parameters:
  `key` - Key.
Returns:
  `True` if equals.

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `GridCacheUtilityKey<BinaryMetadataKey>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`